Skip to main content
PATCH
Update a meeting series or occurrence

Authorizations

Authorization
string
header
required

Use your API key as a Bearer token. API keys can be generated in Settings → Integrations → API Access.

Path Parameters

id
string<uuid>
required

Meeting ID

Body

application/json
title
string

Meeting title (required)

Required string length: 1 - 500
startTime
string<date-time>

Meeting start time in ISO 8601 format (required)

endTime
string<date-time>

Meeting end time in ISO 8601 format (required, must be after startTime)

isAllDay
boolean

Whether this is an all-day event (default: false)

companyId
string<uuid> | null
eventType
enum<string>

Event type (default: Other)

Available options:
QBR,
OnSiteTechVisit,
InternalMeeting,
ClientCall,
ProjectMilestone,
ComplianceReview,
BusinessReview,
ServiceCall,
Other
status
enum<string>

Meeting status (default: Scheduled)

Available options:
Scheduled,
Confirmed,
Completed,
Canceled,
Rescheduled,
Pending Notes
locationId
string<uuid> | null
locationText
string | null
Maximum string length: 500
notes
string | null
Maximum string length: 100000
recurrenceRule
string | null
Maximum string length: 2000
timezone
string

IANA timezone; defaults to UTC

Maximum string length: 100
teamsEnabled
boolean

Create a Microsoft Teams online meeting when publishing through Graph

sendInvitation
boolean

Publish now and send invitations; false creates a portal draft

publicationTransport
enum<string>

Explicit publication transport

Available options:
graph,
ics
participants
object[]

List of participants to add to the meeting

Maximum array length: 500
privateNotes
string | null
Maximum string length: 100000
editScope
enum<string>
Available options:
series,
occurrence
occurrenceOriginalStart
string<date-time>

Response

Updated meeting

data
object
required